Redmine - Defect #40515

Displaying issue descriptions in the issues list ignores CommonMark table alignment
2024-04-02 10:57 - Go MAEDA

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 5.0.9

Resolution: Fixed Affected version: 5.0.0
Description

When configuring the "Text formatting" setting to "CommonMark Markdown", the rendered tables within issue descriptions default to
a centered alignment regardless of the alignment specified in the markup (left, center, or right).

This issue does not occur when the "Text formatting” setting is set to the deprecated Redcarpet-based Markdown.

The markup of the issue description:

| name | value |
=== | ==———= :\
| a | 1 \
| bb | 22 |
| ccc | 333 |

Issues list with description (Markdown):

Issues

Filters

Status open

Options

v Apply @ Clear |- Save custom query

# Tracker Status Priority
16 Bug New Normal
name | value
a 1
bb 22
cce 333

Issues list with description (CommonMark):
Issues

Filters

Status open

Options

v Apply Qo Clear |+§ Save custom query

O # Tracker Status Priority
O 16 Bug New Normal
name | value
a 1
bb 22
cce 333

Associated revisions

Revision 22787 - 2024-04-23 04:58 - Go MAEDA

Fix issue where descriptions in the issues list ignore CommonMark Markdown table alignment (#40515).

Contributed by Takenori TAKAKI (@takenory).

History

#1 - 2024-04-10 07:31 - Takenori TAKAKI
- File 40515.patch added

| made a patch to fix this issue by adding a css that sets text-align according to the align attribute (left or right) set in th/td tags.

#2 - 2024-04-11 00:33 - Go MAEDA
- Tracker changed from Feature to Defect
- Target version set to 5.0.9

- Affected version set to 5.0.0

Setting the target version to 5.0.9.

#3 - 2024-04-23 04:59 - Go MAEDA
- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r22787. Thank you for your contribution.
